Main Page | Data Structures | File List | Data Fields | Globals | Related Pages

# cfg_context Struct Reference

Main structure for defining context. More...

`#include <cfg+.h>`

## Data Fields
Shared properties
enum cfg_context_type | type
| Context type (command line or config file).
int | flags
| Flags.
const struct cfg_option * | options
| Options table.
long | begin_pos
| Starting parsing position.
long | size
| Number of elements (array arguments, bytes or lines) to parse (value of -1 means infinite).
int * | used_opt_idx
| Array of used options indexes.
enum cfg_error | error_code
| Error code of last occured error.
char ** | prop [CFG_N_PROPS]
| Special properties.
long | cur_idx
| Currents.
long | cur_idx_tmp
| Context type (command line or config file).
int | cur_opt_type
| Context type (command line or config file).
char * | cur_opt
| Current option string.
char * | cur_arg
| Current option argument.
Command line specific properties
int | parsing_started:1
| Flag to detect if parsing already started.
char ** | argv
| NULL terminated array of argument.
Config file specific properties.
char * | filename
| Filename (name of file).
FILE * | fhandle
| Pointer to FILE* structure of parsed file.

## Detailed Description

Main structure for defining context.

The documentation for this struct was generated from the following file:

- cfg+.h